GNU bug report logs - #50333
[PATCH] Fixed missing files in org-roam 2.1.0

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Adolfo De Unánue <adolfo@HIDDEN>; Keywords: patch; dated Thu, 2 Sep 2021 10:47:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 50333 <at> debbugs.gnu.org:


Received: (at 50333) by debbugs.gnu.org; 14 Sep 2021 14:49:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 14 10:49:02 2021
Received: from localhost ([127.0.0.1]:49855 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mQ9k2-0007rU-8u
	for submit <at> debbugs.gnu.org; Tue, 14 Sep 2021 10:49:01 -0400
Received: from mail-wr1-f46.google.com ([209.85.221.46]:33535)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1mQ9k0-0007r1-1I
 for 50333 <at> debbugs.gnu.org; Tue, 14 Sep 2021 10:48:56 -0400
Received: by mail-wr1-f46.google.com with SMTP id t18so20721026wrb.0
 for <50333 <at> debbugs.gnu.org>; Tue, 14 Sep 2021 07:48:55 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=+1Aool0xJxy/IScvl37eT8YJ690ORf3c/Jl6INKQ3Ns=;
 b=oEVpkf7DJIIRX2Z6XEFQFcf6Tcd8QDJ/ZqAnoHZuG0EjUae9In/mmKyK52wnpc+Ct9
 6yowLRz1KeVi1XfrfQzWUDIOhwFRCxQD0KT9Ntkvfv5jkXF883LdXMQUd4oMaWUHpoKt
 KFrtdOqNhLVt0J85Q1L7IWhX+IMujFeSnsRS/VLXRdBMehKJ1rUQNEVHEwpkfoEClyWe
 /e6HSVdGN9CWsgfukUAxfWj9YJPJ+biBh+imwG/TLkJVhSbonQWkd4ZaZjJ4GbMLpByO
 LW6A9+z+ciU6FFBF8/VQSH4/JuxxFOmheHJfQIW26LxYN4xz88t22or53NpdaCTwgvUl
 oaxg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=+1Aool0xJxy/IScvl37eT8YJ690ORf3c/Jl6INKQ3Ns=;
 b=0v9wmWN8mVTlkVIFDUqIG2+Mi6cVqA1ByxeDAkWGh7epgxJNAg+T/QeNnVcJILzDFm
 +xWt/b646kO7SL3LES5kMZjr5YKb4BPj2YO6/SPWWu96nUJDKS+GVx8zViPthRImNeKO
 ok7gyKZh08biHQgclhRt/CO+Dv4tmOTKkbGLtRioOpHSgoIrnrVl4ykb4mYWZ021THMy
 l0rodLnhoZEXG8G/VmzwqYuzH4rbagc8nR7YIQIFI/H//u9e/jTE6o+TG3+by5yOfeH8
 njYu6l4lEeSTjnZkrW7Drm78Levp7thbiV/Y+I8vQrhXMsY57xzt9CmsWBzwrPGuIvbQ
 CmEQ==
X-Gm-Message-State: AOAM532aRWdI9SMYliDdZ/U+sCUnHtmPfnIGHu8/s6b2bznXsFq/GkRg
 7KYkWfzmtHzEHApvF60iZyK3BRZpErlrEA==
X-Google-Smtp-Source: ABdhPJyEn3KheBNVpA9M+AZN7g22GFgtHXSwRbChMl/GLMGZXvgkc96USavEYlh9G/sAa3qgeH+WLw==
X-Received: by 2002:adf:e404:: with SMTP id g4mr19306518wrm.143.1631630929755; 
 Tue, 14 Sep 2021 07:48:49 -0700 (PDT)
Received: from lili (roam-nat-fw-prg-194-254-61-42.net.univ-paris-diderot.fr.
 [194.254.61.42])
 by smtp.gmail.com with ESMTPSA id f5sm1333841wmb.47.2021.09.14.07.48.49
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 14 Sep 2021 07:48:49 -0700 (PDT)
From: zimoun <zimon.toutoune@HIDDEN>
To: Adolfo De =?utf-8?Q?Un=C3=A1nue?= <adolfo@HIDDEN>
Subject: Re: [bug#50333] [PATCH] Fixed missing files in org-roam 2.1.0
References: <877dfzebfd.fsf@HIDDEN> <87v93icnst.fsf@HIDDEN>
Date: Tue, 14 Sep 2021 14:26:45 +0200
In-Reply-To: <87v93icnst.fsf@HIDDEN> ("Adolfo De =?utf-8?Q?Un=C3=A1nue?=
 =?utf-8?Q?=22's?= message of "Thu, 02 Sep 2021 22:57:19 -0500")
Message-ID: <86ilz3tkai.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 50333
Cc: 50333 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

You are asking in <http://issues.guix.gnu.org/issue/50374> about this
one.  Well, I am not an expert and I am not an Emacs Roam user.

On Thu, 02 Sep 2021 at 22:57, Adolfo De Un=C3=A1nue <adolfo@HIDDEN> wrot=
e:

>>From a99fa75c0f5d3025827d99c3ef6a2c71c85e0be5 Mon Sep 17 00:00:00 2001
> From: =3D?UTF-8?q?Adolfo=3D20De=3D20Un=3DC3=3DA1nue?=3D <adolfo+git@unanu=
e.mx>
> Date: Thu, 2 Sep 2021 22:23:58 -0500
> Subject: [PATCH] Fixed missing files in org-roam v2.1.0

The commit message should be:

--8<---------------cut here---------------start------------->8---
gnu: emacs-org-roam: Adding extensions.

* guix/emacs-xyz.scm (emacs-org-roam)[arguments]: Add phases to install
extensions.
--8<---------------cut here---------------end--------------->8---

Or something along these lines.

> ---
>  gnu/packages/emacs-xyz.scm | 94 +++++++++++++++++++++-----------------
>  1 file changed, 53 insertions(+), 41 deletions(-)
>
> diff --git a/gnu/packages/emacs-xyz.scm b/gnu/packages/emacs-xyz.scm
> index 030809f5ac..431444c255 100644
> --- a/gnu/packages/emacs-xyz.scm
> +++ b/gnu/packages/emacs-xyz.scm
> @@ -103,6 +103,7 @@
>  ;;; Copyright =C2=A9 2021 Matthew James Kraai <kraai@HIDDEN>
>  ;;; Copyright =C2=A9 2021 Noisytoot <noisytoot@HIDDEN>
>  ;;; Copyright =C2=A9 2021 Simon South <simon@HIDDEN>
> +;;; Copyright =C2=A9 2021 Nanounanue <adolfo@HIDDEN>

Since you submit with this name =E2=80=9CAdolfo De Un=C3=A1nue=E2=80=9C, th=
e Copyright should
be the same instead of a nick name.  From my point of view, nickname as
copyright holder should be avoided; if possible, obviously. :-)

> +  (let ((commit "f819720c510185af713522c592833ec9f2934251")

Usually, the package uses tagged version instead of random commit.  When
it is not possible because upstream do not tag, it seems good to provide
an explanation why the lasted tagged version cannot be used;
explanations as a comment or in the cover letter.

Another reason is because for instance it changes all the indentation
and makes =E2=80=98git log/blame=E2=80=99 harder to investigate.

> +           (add-after 'install 'install-extensions
> +             (lambda* (#:key outputs #:allow-other-keys)
> +               (copy-recursively
> +                "extensions"
> +                (string-append (assoc-ref outputs "out")
> +                               (string-append
> +                                "/share/emacs/site-lisp/org-roam-"
> +                                ,version)))
> +               #t))

Patch#50333 will install the extensions with =E2=80=9Cguix install
emacs-org-roam=E2=80=9D.  Instead the attempt of patch#50374 is to install =
with
=E2=80=9Cguix install emacs-org-roam-extensions=E2=80=9D.  Well, I do not k=
now if
patch#50374 is correct, though.

Because I am not an Org-Roam user, I do not have an opinion about this
extensions.  Maybe it is better to distribute them along the package
emacs-org-roam or in a separate package, I do not know.  WDYT?

All the best,
simon




Information forwarded to guix-patches@HIDDEN:
bug#50333; Package guix-patches. Full text available.

Message received at 50333 <at> debbugs.gnu.org:


Received: (at 50333) by debbugs.gnu.org; 3 Sep 2021 04:05:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 03 00:05:06 2021
Received: from localhost ([127.0.0.1]:42506 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mM0Rs-00033k-Qp
	for submit <at> debbugs.gnu.org; Fri, 03 Sep 2021 00:05:05 -0400
Received: from wout3-smtp.messagingengine.com ([64.147.123.19]:35099)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <adolfo@HIDDEN>) id 1mM0M7-0002sl-NS
 for 50333 <at> debbugs.gnu.org; Thu, 02 Sep 2021 23:59:10 -0400
Received: from compute1.internal (compute1.nyi.internal [10.202.2.41])
 by mailout.west.internal (Postfix) with ESMTP id 80CF2320094C
 for <50333 <at> debbugs.gnu.org>; Thu,  2 Sep 2021 23:59:01 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute1.internal (MEProxy); Thu, 02 Sep 2021 23:59:01 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=unanue.mx; h=
 from:to:subject:date:message-id:mime-version:content-type; s=
 fm3; bh=jx9LsB3HRLE/7hEinQAqgYTukcS4DbY/2LE5mh4wTHU=; b=WIHT9mAz
 g7nYSD1zd4VpFsvBxlp6lyZOts0xqP+J8fJc+VCzHwLS+4GupySI4+WEaOvzOS1q
 xll7aixpdRw8GbV7eiz44ndISWa5UKTCFXcfHtFJDRHCdwDYvQ8SJ+FsZRn6pjfj
 y4BBeG/mM6ob7+K+eQBkMC/z/2yJyJ0KdDjif/u+bRTHYVy8xuEeeDUwyUfxDpkF
 qj+8iRBz//gqAXWv5Tstph07Ij7IzhCMpqDEUgZm+beBrKUynw6xB4EbPGbwGQPi
 ma9UUMhy54bLj6ZTYcUk62knHSgW91+p1T1JUMIaeOmdLMIPaRv/31uYSDe48e3N
 dQ6Xly33G/bnxg==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-type:date:from:message-id
 :mime-version:subject:to:x-me-proxy:x-me-proxy:x-me-sender
 :x-me-sender:x-sasl-enc; s=fm3; bh=jx9LsB3HRLE/7hEinQAqgYTukcS4D
 bY/2LE5mh4wTHU=; b=IFyXcnhvnyqUN1nhhdysKrdVOa7LHbe9UGvH3fD/Dzlem
 pQgAyrQ1iUrtk0tCPM5a2bng0Y3/h94BC78OKofhyDcAvxct+P2f+ukYwZs8OzFK
 cHRocAFnmdrVzSv6HLdQD+nepwYD5DFFktGYEvXQt/6KcoLEdydMIgda2aaL0s3i
 oDUp0RiuEkEmAl9TLf6XYKs5NAlCvxYU/I+igPi1zepXlWZdYNpgJbzPF62OkZO1
 BhLJGS8tabSYS0uTLSatPGw/ZFAY2vRtMVM/mK6qMEtYoYNUwysZKHoOahC22DUH
 buBCSh3J5lOOqWt7VM0ki1EJZM4VPpJSckA3fYOtA==
X-ME-Sender: <xms:hJ0xYcmNnszIf6cmqQd3ejfLO5vR_kQJm7e2_URYS8lp22DuPJ1bEA>
 <xme:hJ0xYb0QJ94mx1PNOWXz7ieMoReuk8JYZ8qUNtoLnyLPD05bePp_rAx4gdiYVPcMv
 r7HIMTW9W9h4Ji0Z1Q>
X-ME-Received: <xmr:hJ0xYapGSPtWImPD5XDbkQzZ-tZ2zN9l_NCbJjiz9WGql-9XcrW_dy4JaynP88-rtGjG>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvtddruddviedgjeelucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucenucfjughrpegfhffvufffkfggtgesmhdtreertd
 erjeenucfhrhhomhepteguohhlfhhoucffvgcufghnjohnuhgvuceorgguohhlfhhosehu
 nhgrnhhuvgdrmhigqeenucggtffrrghtthgvrhhnpeelveeuteeggeeifeffleeuleetfe
 fftdetveetudeggeehkefhgfdvheehieeivdenucevlhhushhtvghrufhiiigvpedtnecu
 rfgrrhgrmhepmhgrihhlfhhrohhmpegrugholhhfohesuhhnrghnuhgvrdhmgi
X-ME-Proxy: <xmx:hJ0xYYk-3sJBiL8BNZXUyzGeWaZMcW9_3oWoal-Qvdf1BXXTKh5g2w>
 <xmx:hJ0xYa16X1W9_ltA0HDDQQJnyP_wGurQfyUdQ-a2kB9otVgTp2jg1Q>
 <xmx:hJ0xYftFQcB2Qb406trL_HooqKSDb2rVkM_UPeX32yLsQCjMK7weZg>
 <xmx:hZ0xYTi-gyTIi7tLuasbJZFntFYfg5SvE0xQb7xvYqtbi9g8uM5ImQ>
Received: by mail.messagingengine.com (Postfix) with ESMTPA for
 <50333 <at> debbugs.gnu.org>; Thu, 2 Sep 2021 23:59:00 -0400 (EDT)
User-agent: mu4e 1.6.3; emacs 28.0.50
From: Adolfo De =?utf-8?Q?Un=C3=A1nue?= <adolfo@HIDDEN>
To: 50333 <at> debbugs.gnu.org
Subject: [PATCH] Fixed missing files in org-roam 2.1.0
Date: Thu, 02 Sep 2021 22:57:19 -0500
Message-ID: <87v93icnst.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50333
X-Mailman-Approved-At: Fri, 03 Sep 2021 00:05:01 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain; format=flowed


Wrong patch! (I am so sorry for this, my first time with this 
workflow)


--=-=-=
Content-Type: text/x-diff; charset=utf-8
Content-Disposition: inline;
 filename=0001-Fixed-missing-files-in-org-roam-v2.1.0.patch
Content-Transfer-Encoding: quoted-printable

From a99fa75c0f5d3025827d99c3ef6a2c71c85e0be5 Mon Sep 17 00:00:00 2001
From: =3D?UTF-8?q?Adolfo=3D20De=3D20Un=3DC3=3DA1nue?=3D <adolfo+git@unanue.=
mx>
Date: Thu, 2 Sep 2021 22:23:58 -0500
Subject: [PATCH] Fixed missing files in org-roam v2.1.0

---
 gnu/packages/emacs-xyz.scm | 94 +++++++++++++++++++++-----------------
 1 file changed, 53 insertions(+), 41 deletions(-)

diff --git a/gnu/packages/emacs-xyz.scm b/gnu/packages/emacs-xyz.scm
index 030809f5ac..431444c255 100644
--- a/gnu/packages/emacs-xyz.scm
+++ b/gnu/packages/emacs-xyz.scm
@@ -103,6 +103,7 @@
 ;;; Copyright =C2=A9 2021 Matthew James Kraai <kraai@HIDDEN>
 ;;; Copyright =C2=A9 2021 Noisytoot <noisytoot@HIDDEN>
 ;;; Copyright =C2=A9 2021 Simon South <simon@HIDDEN>
+;;; Copyright =C2=A9 2021 Nanounanue <adolfo@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -28219,51 +28220,62 @@ snippets for Emacs.")
       (license license:expat))))
=20
 (define-public emacs-org-roam
-  (package
-    (name "emacs-org-roam")
-    (version "2.1.0")
-    (source
-     (origin
-       (method git-fetch)
-       (uri (git-reference
-             (url "https://github.com/org-roam/org-roam")
-             (commit (string-append "v" version))))
-       (file-name (git-file-name name version))
-       (sha256
-        (base32 "092xn0sqc7b7f6pdf7m6c3giqqbh6fq02mfz8qrg0wmx4ds1isqp"))))
-    (build-system emacs-build-system)
-    (arguments
-     `(#:phases
-       (modify-phases %standard-phases
-         (add-after 'install 'install-image
-           (lambda* (#:key outputs #:allow-other-keys)
-             (let ((out (assoc-ref outputs "out")))
-               (install-file "doc/images/org-ref-citelink.png"
-                             (string-append out "/share/info/images")))))
-         (add-after 'install-image 'make-info
-           (lambda* (#:key outputs #:allow-other-keys)
-             (let ((out (assoc-ref outputs "out")))
-               (with-directory-excursion "doc"
-                 (invoke "makeinfo" "-o" "org-roam.info" "org-roam.texi")
-                 (install-file "org-roam.info"
-                               (string-append out "/share/info")))))))))
-       (native-inputs
-        `(("texinfo" ,texinfo)))
-       (propagated-inputs
-        `(("emacs-dash" ,emacs-dash)
-          ("emacs-emacsql-sqlite3" ,emacs-emacsql-sqlite3)
-          ("emacs-f" ,emacs-f)
-          ("emacs-magit" ,emacs-magit)
-          ("emacs-org" ,emacs-org)
-          ("emacs-s" ,emacs-s)))
-       (home-page "https://github.com/org-roam/org-roam/")
-       (synopsis "Non-hierarchical note-taking with Org mode")
-       (description "Emacs Org Roam is a solution for taking non-hierarchi=
cal
+  (let ((commit "f819720c510185af713522c592833ec9f2934251")
+        (revision "1"))
+    (package
+      (name "emacs-org-roam")
+      (version (git-version "2.1.0" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri (git-reference
+               (url "https://github.com/org-roam/org-roam")
+               (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32 "092xn0sqc7b7f6pdf7m6c3giqqbh6fq02mfz8qrg0wmx4ds1isqp"))=
))
+      (build-system emacs-build-system)
+      (arguments
+       `(#:phases
+         (modify-phases %standard-phases
+           (add-after 'install 'install-image
+             (lambda* (#:key outputs #:allow-other-keys)
+               (let ((out (assoc-ref outputs "out")))
+                 (install-file "doc/images/org-ref-citelink.png"
+                               (string-append out "/share/info/images")))))
+           (add-after 'install 'install-extensions
+             (lambda* (#:key outputs #:allow-other-keys)
+               (copy-recursively
+                "extensions"
+                (string-append (assoc-ref outputs "out")
+                               (string-append
+                                "/share/emacs/site-lisp/org-roam-"
+                                ,version)))
+               #t))
+           (add-after 'install-image 'make-info
+             (lambda* (#:key outputs #:allow-other-keys)
+               (let ((out (assoc-ref outputs "out")))
+                 (with-directory-excursion "doc"
+                   (invoke "makeinfo" "-o" "org-roam.info" "org-roam.texi")
+                   (install-file "org-roam.info"
+                                 (string-append out "/share/info")))))))))
+      (native-inputs
+       `(("texinfo" ,texinfo)))
+      (propagated-inputs
+       `(("emacs-dash" ,emacs-dash)
+         ("emacs-emacsql-sqlite3" ,emacs-emacsql-sqlite3)
+         ("emacs-f" ,emacs-f)
+         ("emacs-magit" ,emacs-magit)
+         ("emacs-org" ,emacs-org)
+         ("emacs-s" ,emacs-s)))
+      (home-page "https://github.com/org-roam/org-roam/")
+      (synopsis "Non-hierarchical note-taking with Org mode")
+      (description "Emacs Org Roam is a solution for taking non-hierarchic=
al
 notes with Org mode.  Notes are captured without hierarchy and are connect=
ed
 by tags.  Notes can be found and created quickly.  Org Roam should also wo=
rk
 as a plug-and-play solution for anyone already using Org mode for their
 personal wiki.")
-       (license license:gpl3+)))
+      (license license:gpl3+))))
=20
 (define-public emacs-org-roam-bibtex
   (package
--=20
2.33.0


--=-=-=
Content-Type: text/plain; format=flowed



--
- A

--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#50333; Package guix-patches. Full text available.

Message received at 50333 <at> debbugs.gnu.org:


Received: (at 50333) by debbugs.gnu.org; 3 Sep 2021 04:05:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 03 00:05:04 2021
Received: from localhost ([127.0.0.1]:42504 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mM0Rq-00033g-Kt
	for submit <at> debbugs.gnu.org; Fri, 03 Sep 2021 00:05:04 -0400
Received: from wout2-smtp.messagingengine.com ([64.147.123.25]:41405)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <adolfo@HIDDEN>) id 1mLzyJ-0002LD-06
 for 50333 <at> debbugs.gnu.org; Thu, 02 Sep 2021 23:34:33 -0400
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.west.internal (Postfix) with ESMTP id EBC263200943
 for <50333 <at> debbugs.gnu.org>; Thu,  2 Sep 2021 23:34:24 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute5.internal (MEProxy); Thu, 02 Sep 2021 23:34:25 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=unanue.mx; h=
 from:to:subject:date:message-id:mime-version:content-type; s=
 fm3; bh=p5UwjZYssY/bCbWCRY4Xi/7wit/duVhxbTTz1X+r9Jk=; b=GjIqOBAr
 KWyLjt0zBAm+yvYAQ/KlKGSC/ry4sAo/BSjgz6qF8fLUlSNT2lBymEcXwyQfFLK/
 m7tyU/7aEPQBA5GgF4HSQvaoJm0WWrBNQ9CVUP0gDrmFAsHYgj5nUNG0UQ++S85W
 WxvmsQCbqEYNte60jEJInN7hPEiMak6bci7Ffeo3jR65JZNq2nLYtybvFF4dvZ+C
 sGlv4nXCoXAB+sepqSOkBQ5JW5DrFlV0sCsQk/9x4eH1wLrFcaJu8tBuVB/lpF9m
 pteouw+baHiTNGsuwlNAfGUDbAV6JAYvixJK/QgPI38ZpC+wJhI+pqu3Zrqf8gc6
 PTnWZn/Jt9bQXw==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-type:date:from:message-id
 :mime-version:subject:to:x-me-proxy:x-me-proxy:x-me-sender
 :x-me-sender:x-sasl-enc; s=fm3; bh=p5UwjZYssY/bCbWCRY4Xi/7wit/du
 VhxbTTz1X+r9Jk=; b=pNQWKWaaz6oqFS68lsl1rDu7lhynyd5Qu4VZ64IV0d+O0
 85GThh31hhYFhFeIPbV0mxvVn+SZA/qDu7ONioxUvjdTiMFukfkg2v8xOumCwLGm
 eaVlzLfSC5cojxC/myR+ieSUJVX7PHWEv6e+lHiaDTe1gzfH9Vs26OFqGEfv28zW
 btyNEdiTvuxjv6C5x/Lk1LJOoKSQW95OWnDOvtjQCuw9IkgoXf6C7yhduvfLlvNo
 FvUYK3SfvU73sUBxfmv/ZJqNc4+1O6AEUHIJHf2zKF5P0dnxcY6seA5LzdYtwO0P
 zISD60QXUv3STWm+5fw5NUYv4WCRv4r3qSdGHTZlg==
X-ME-Sender: <xms:wJcxYUxv02gtNr8sVRwe4prONHUQ1NGnQRqnGrIaJvxF_tfxlJFFsQ>
 <xme:wJcxYYTHCmKFxmsejjbjGyIQ1ASSFF9ROJjPKM1vDonqSNVI0Gukk4k5aGRa0exK2
 uJG8Q8MoRE7YDVcEEk>
X-ME-Received: <xmr:wJcxYWXj58oFcMeXb1LKoB8jk0oappWNHI1nWb5NhpcvTrqP4UhVOxC9UcQzo9Kk0pf6>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvtddruddviedgjeefucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucenucfjughrpegfhffvufffkfggtgesmhdtreertd
 erjeenucfhrhhomhepteguohhlfhhoucffvgcufghnjohnuhgvuceorgguohhlfhhosehu
 nhgrnhhuvgdrmhigqeenucggtffrrghtthgvrhhnpeelveeuteeggeeifeffleeuleetfe
 fftdetveetudeggeehkefhgfdvheehieeivdenucevlhhushhtvghrufhiiigvpedtnecu
 rfgrrhgrmhepmhgrihhlfhhrohhmpegrugholhhfohesuhhnrghnuhgvrdhmgi
X-ME-Proxy: <xmx:wJcxYSj8BzccgqxjKOYQzGmtK_yNhjuuVveBMQeiRA-Gr-oi6-eIyA>
 <xmx:wJcxYWARFvxgElDy6zF4uICSMYjsLvS6rI_s_cxISqWRkqrK8tEeag>
 <xmx:wJcxYTJCaO5PAwAnFSPaj6xwUEtpS4YkuX_YYsnJ1vxmg0E6_iZ12w>
 <xmx:wJcxYd_mJpdSr9EGew5k6LZ_-aj5E-GmkhGplU5XfbYGjAhVccz3VQ>
Received: by mail.messagingengine.com (Postfix) with ESMTPA for
 <50333 <at> debbugs.gnu.org>; Thu, 2 Sep 2021 23:34:23 -0400 (EDT)
User-agent: mu4e 1.6.3; emacs 28.0.50
From: Adolfo De =?utf-8?Q?Un=C3=A1nue?= <adolfo@HIDDEN>
To: 50333 <at> debbugs.gnu.org
Subject: [PATCH] Fixed missing files in org-roam 2.1.0
Date: Thu, 02 Sep 2021 22:30:07 -0500
Message-ID: <87y28ecoxu.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50333
X-Mailman-Approved-At: Fri, 03 Sep 2021 00:05:01 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain; format=flowed



Added missed revision



--=-=-=
Content-Type: text/x-diff; charset=utf-8
Content-Disposition: inline;
 filename=0001-Fixed-missing-files-in-org-roam-v2.1.0.patch
Content-Transfer-Encoding: quoted-printable

From d680238cdf0893f09de7b20b0aa264e163bb12b8 Mon Sep 17 00:00:00 2001
From: =3D?UTF-8?q?Adolfo=3D20De=3D20Un=3DC3=3DA1nue?=3D <adolfo+git@unanue.=
mx>
Date: Thu, 2 Sep 2021 22:23:58 -0500
Subject: [PATCH] Fixed missing files in org-roam v2.1.0

---
 gnu/packages/emacs-xyz.scm | 92 +++++++++++++++++++++-----------------
 1 file changed, 51 insertions(+), 41 deletions(-)

diff --git a/gnu/packages/emacs-xyz.scm b/gnu/packages/emacs-xyz.scm
index 030809f5ac..64f7e011d9 100644
--- a/gnu/packages/emacs-xyz.scm
+++ b/gnu/packages/emacs-xyz.scm
@@ -103,6 +103,7 @@
 ;;; Copyright =C2=A9 2021 Matthew James Kraai <kraai@HIDDEN>
 ;;; Copyright =C2=A9 2021 Noisytoot <noisytoot@HIDDEN>
 ;;; Copyright =C2=A9 2021 Simon South <simon@HIDDEN>
+;;; Copyright =C2=A9 2021 Nanounanue <adolfo@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -28219,51 +28220,60 @@ snippets for Emacs.")
       (license license:expat))))
=20
 (define-public emacs-org-roam
-  (package
-    (name "emacs-org-roam")
-    (version "2.1.0")
-    (source
-     (origin
-       (method git-fetch)
-       (uri (git-reference
-             (url "https://github.com/org-roam/org-roam")
-             (commit (string-append "v" version))))
-       (file-name (git-file-name name version))
-       (sha256
-        (base32 "092xn0sqc7b7f6pdf7m6c3giqqbh6fq02mfz8qrg0wmx4ds1isqp"))))
-    (build-system emacs-build-system)
-    (arguments
-     `(#:phases
-       (modify-phases %standard-phases
-         (add-after 'install 'install-image
-           (lambda* (#:key outputs #:allow-other-keys)
-             (let ((out (assoc-ref outputs "out")))
-               (install-file "doc/images/org-ref-citelink.png"
-                             (string-append out "/share/info/images")))))
-         (add-after 'install-image 'make-info
-           (lambda* (#:key outputs #:allow-other-keys)
-             (let ((out (assoc-ref outputs "out")))
-               (with-directory-excursion "doc"
-                 (invoke "makeinfo" "-o" "org-roam.info" "org-roam.texi")
-                 (install-file "org-roam.info"
-                               (string-append out "/share/info")))))))))
-       (native-inputs
-        `(("texinfo" ,texinfo)))
-       (propagated-inputs
-        `(("emacs-dash" ,emacs-dash)
-          ("emacs-emacsql-sqlite3" ,emacs-emacsql-sqlite3)
-          ("emacs-f" ,emacs-f)
-          ("emacs-magit" ,emacs-magit)
-          ("emacs-org" ,emacs-org)
-          ("emacs-s" ,emacs-s)))
-       (home-page "https://github.com/org-roam/org-roam/")
-       (synopsis "Non-hierarchical note-taking with Org mode")
-       (description "Emacs Org Roam is a solution for taking non-hierarchi=
cal
+  (let ((commit (string-append "v" "2.1.0"))
+        (revision "1"))
+    (package
+      (name "emacs-org-roam")
+      (version (git-version "2.1.0" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri (git-reference
+               (url "https://github.com/org-roam/org-roam")
+               (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32 "092xn0sqc7b7f6pdf7m6c3giqqbh6fq02mfz8qrg0wmx4ds1isqp"))=
))
+      (build-system emacs-build-system)
+      (arguments
+       `(#:phases
+         (modify-phases %standard-phases
+           (add-after 'install 'install-image
+             (lambda* (#:key outputs #:allow-other-keys)
+               (let ((out (assoc-ref outputs "out")))
+                 (install-file "doc/images/org-ref-citelink.png"
+                               (string-append out "/share/info/images")))))
+           (add-after 'install 'install-extensions
+             (lambda* (#:key outputs #:allow-other-keys)
+               (copy-recursively
+                "extensions"
+                (string-append (assoc-ref outputs "out")
+                               (string-append  "/share/emacs/site-lisp/org=
-roam-" ,version)))
+               #t))
+           (add-after 'install-image 'make-info
+             (lambda* (#:key outputs #:allow-other-keys)
+               (let ((out (assoc-ref outputs "out")))
+                 (with-directory-excursion "doc"
+                   (invoke "makeinfo" "-o" "org-roam.info" "org-roam.texi")
+                   (install-file "org-roam.info"
+                                 (string-append out "/share/info")))))))))
+      (native-inputs
+       `(("texinfo" ,texinfo)))
+      (propagated-inputs
+       `(("emacs-dash" ,emacs-dash)
+         ("emacs-emacsql-sqlite3" ,emacs-emacsql-sqlite3)
+         ("emacs-f" ,emacs-f)
+         ("emacs-magit" ,emacs-magit)
+         ("emacs-org" ,emacs-org)
+         ("emacs-s" ,emacs-s)))
+      (home-page "https://github.com/org-roam/org-roam/")
+      (synopsis "Non-hierarchical note-taking with Org mode")
+      (description "Emacs Org Roam is a solution for taking non-hierarchic=
al
 notes with Org mode.  Notes are captured without hierarchy and are connect=
ed
 by tags.  Notes can be found and created quickly.  Org Roam should also wo=
rk
 as a plug-and-play solution for anyone already using Org mode for their
 personal wiki.")
-       (license license:gpl3+)))
+      (license license:gpl3+))))
=20
 (define-public emacs-org-roam-bibtex
   (package
--=20
2.33.0


--=-=-=
Content-Type: text/plain; format=flowed



--
- A

--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#50333; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 Sep 2021 10:46:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 02 06:46:25 2021
Received: from localhost ([127.0.0.1]:39901 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mLkEf-0004er-6w
	for submit <at> debbugs.gnu.org; Thu, 02 Sep 2021 06:46:25 -0400
Received: from lists.gnu.org ([209.51.188.17]:49850)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <adolfo@HIDDEN>) id 1mLgFo-0008E0-8Z
 for submit <at> debbugs.gnu.org; Thu, 02 Sep 2021 02:31:16 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:47246)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <adolfo@HIDDEN>) id 1mLgFm-0001Jb-IO
 for guix-patches@HIDDEN; Thu, 02 Sep 2021 02:31:16 -0400
Received: from out3-smtp.messagingengine.com ([66.111.4.27]:34991)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <adolfo@HIDDEN>) id 1mLgFk-0007my-3q
 for guix-patches@HIDDEN; Thu, 02 Sep 2021 02:31:14 -0400
Received: from compute2.internal (compute2.nyi.internal [10.202.2.42])
 by mailout.nyi.internal (Postfix) with ESMTP id A63995C00DA
 for <guix-patches@HIDDEN>; Thu,  2 Sep 2021 02:31:06 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute2.internal (MEProxy); Thu, 02 Sep 2021 02:31:06 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=unanue.mx; h=
 from:to:subject:date:message-id:mime-version:content-type; s=
 fm3; bh=OkGEKo4KVn62AP4b0Sv7C6g7hbzDFtXIlDOu2jKdSIM=; b=o9TJkA9D
 MdG2oO1mSqHWpn/prnT+3laGjaofKkOO2NYdLgpapefDKpJZzgaLGU4F4YV9aSSu
 llX7mNHksqP3XaWompvak/kvFoLLPfX3jnJsgj7fbKfNysAdaMPQj5NL3P0PduIx
 RfClyljLFnzjbkhocoJfhEZOIociq4+DjiGZ6dUMx+1G+0F5fFX9S5NsA1+gW0sw
 2WhoUIsLvgY8DO9V/JlEml3iSw6jtix1XJYteRmD4qriVHO5j300KRuNtITofFNe
 kM/QCsSIZltay+J2+2kFUEKpJy8+ZRSpBK2JWALVTpERwfzrw9PR099ySUA0UjDP
 ce/0Qo+EN3i2lw==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-type:date:from:message-id
 :mime-version:subject:to:x-me-proxy:x-me-proxy:x-me-sender
 :x-me-sender:x-sasl-enc; s=fm3; bh=OkGEKo4KVn62AP4b0Sv7C6g7hbzDF
 tXIlDOu2jKdSIM=; b=W3ZqU+wNWg1tusJZF4pFQdThp9oyBuBTT7sUVPkSCElaK
 aTGzX8ztH2DEfxiEEo9oCfVlNJF97apgj5a6nOCF4GPK0WhoK0jbAxCviKgnvJkT
 WHdETgC5kZ0q/HKSlskC3Py2vfJLJ8zms+oNroHdV3ALoaI/aqrooP40hfdIKk3R
 XN1dg5rWFfhWyrtFAYWcK8a0p0V0qkabA0yBgSIIXlH+pRytci5X/1QoDM1E+pri
 nUahadArAs1yd4sp5sy8z61ZqH1XcDOq+cbr9PUaInTl5UopRtvqI/mcu3eQWtjR
 65oQq8f/7cG+2D0CpPDt2SLuVvs7XhZ5pxVdrKyfg==
X-ME-Sender: <xms:qm8wYRyElb6dsYrIPDsciYmKk8BMStEDMHHfcvPFMQrglovzwIURIg>
 <xme:qm8wYRSEINQ2G1Z-SjuLXcJ-sWXvPHVD1llJZ8pvUbjIk9CSDO1PPx_dosc2jGVHn
 N0XcmxHMOt-nmM-Ch8>
X-ME-Received: <xmr:qm8wYbWMUppibYa_mMqi1jxM4kPGzgMloqws3iAXBBy9BgurvxkiyegLaqhJAX-sy_FM>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvtddruddvgedguddtkecutefuodetggdotefrod
 ftvfcurfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfgh
 necuuegrihhlohhuthemuceftddtnecunecujfgurhepfgfhvffufffkgggtsehmtderre
 dtreejnecuhfhrohhmpeetugholhhfohcuffgvucgfnhojnhhuvgcuoegrugholhhfohes
 uhhnrghnuhgvrdhmgieqnecuggftrfgrthhtvghrnhepleevueetgeegieefffelueelte
 efffdtteevtedugeegheekhffgvdehheeiiedvnecuvehluhhsthgvrhfuihiivgeptden
 ucfrrghrrghmpehmrghilhhfrhhomheprgguohhlfhhosehunhgrnhhuvgdrmhig
X-ME-Proxy: <xmx:qm8wYTjzT9G4QVe_7ddRGXZn24a7AKLfYsvbfGWDyT6xSYuPl-4VmQ>
 <xmx:qm8wYTCjcvccRqJr8NOlV4GozSpHZpAkYQNlC_Vckzp2d96hhCM0eA>
 <xmx:qm8wYcI3k-uthtG2hVN8GJRuaqt9NJZyQ-2DTZ533SKcBmvkLxwKdQ>
 <xmx:qm8wYW-l4XxG-pzj5GYn2fnDDVvdtX8LkkIrb2wN1XTn-KPQ8in9Dg>
Received: by mail.messagingengine.com (Postfix) with ESMTPA for
 <guix-patches@HIDDEN>; Thu, 2 Sep 2021 02:31:05 -0400 (EDT)
User-agent: mu4e 1.6.3; emacs 28.0.50
From: Adolfo De =?utf-8?Q?Un=C3=A1nue?= <adolfo@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] Fixed missing files in org-roam 2.1.0
Date: Thu, 02 Sep 2021 01:28:35 -0500
Message-ID: <877dfzebfd.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
Received-SPF: pass client-ip=66.111.4.27; envelope-from=adolfo@HIDDEN;
 helo=out3-smtp.messagingengine.com
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_LOW=-0.7, RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 02 Sep 2021 06:46:19 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

--=-=-=
Content-Type: text/x-diff; charset=utf-8
Content-Disposition: inline;
 filename=0001-fixed-missing-files-in-org-roam.patch
Content-Transfer-Encoding: quoted-printable

From d601aa318aa03255d23b82cd94a5080889636a47 Mon Sep 17 00:00:00 2001
From: =3D?UTF-8?q?Adolfo=3D20De=3D20Un=3DC3=3DA1nue?=3D <adolfo+git@unanue.=
mx>
Date: Thu, 2 Sep 2021 00:53:32 -0500
Subject: [PATCH] fixed missing files in org-roam

---
 gnu/packages/emacs-xyz.scm | 36 +++++++++++++++++++++++-------------
 1 file changed, 23 insertions(+), 13 deletions(-)

diff --git a/gnu/packages/emacs-xyz.scm b/gnu/packages/emacs-xyz.scm
index c106e81fa5..e712892e34 100644
--- a/gnu/packages/emacs-xyz.scm
+++ b/gnu/packages/emacs-xyz.scm
@@ -102,6 +102,7 @@
 ;;; Copyright =C2=A9 2021 Dhruvin Gandhi <contact@HIDDEN>
 ;;; Copyright =C2=A9 2021 Matthew James Kraai <kraai@HIDDEN>
 ;;; Copyright =C2=A9 2021 Noisytoot <noisytoot@HIDDEN>
+;;; Copyright =C2=A9 2021 Nanounanue <adolfo@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -28239,6 +28240,15 @@ snippets for Emacs.")
              (let ((out (assoc-ref outputs "out")))
                (install-file "doc/images/org-ref-citelink.png"
                              (string-append out "/share/info/images")))))
+         (add-after 'install 'install-extensions
+           (lambda* (#:key outputs #:allow-other-keys)
+             (copy-recursively
+              "extensions"
+              (string-append (assoc-ref outputs "out")
+                             (string-append
+                              "/share/emacs/site-lisp/org-roam-"
+                              ,version)))
+             #t))
          (add-after 'install-image 'make-info
            (lambda* (#:key outputs #:allow-other-keys)
              (let ((out (assoc-ref outputs "out")))
@@ -28246,23 +28256,23 @@ snippets for Emacs.")
                  (invoke "makeinfo" "-o" "org-roam.info" "org-roam.texi")
                  (install-file "org-roam.info"
                                (string-append out "/share/info")))))))))
-       (native-inputs
-        `(("texinfo" ,texinfo)))
-       (propagated-inputs
-        `(("emacs-dash" ,emacs-dash)
-          ("emacs-emacsql-sqlite3" ,emacs-emacsql-sqlite3)
-          ("emacs-f" ,emacs-f)
-          ("emacs-magit" ,emacs-magit)
-          ("emacs-org" ,emacs-org)
-          ("emacs-s" ,emacs-s)))
-       (home-page "https://github.com/org-roam/org-roam/")
-       (synopsis "Non-hierarchical note-taking with Org mode")
-       (description "Emacs Org Roam is a solution for taking non-hierarchi=
cal
+    (native-inputs
+     `(("texinfo" ,texinfo)))
+    (propagated-inputs
+     `(("emacs-dash" ,emacs-dash)
+       ("emacs-emacsql-sqlite3" ,emacs-emacsql-sqlite3)
+       ("emacs-f" ,emacs-f)
+       ("emacs-magit" ,emacs-magit)
+       ("emacs-org" ,emacs-org)
+       ("emacs-s" ,emacs-s)))
+    (home-page "https://github.com/org-roam/org-roam/")
+    (synopsis "Non-hierarchical note-taking with Org mode")
+    (description "Emacs Org Roam is a solution for taking non-hierarchical
 notes with Org mode.  Notes are captured without hierarchy and are connect=
ed
 by tags.  Notes can be found and created quickly.  Org Roam should also wo=
rk
 as a plug-and-play solution for anyone already using Org mode for their
 personal wiki.")
-       (license license:gpl3+)))
+    (license license:gpl3+)))
=20
 (define-public emacs-org-roam-bibtex
   (package
--=20
2.33.0


--=-=-=
Content-Type: text/plain; format=flowed


--
- A

--=-=-=--




Acknowledgement sent to Adolfo De Unánue <adolfo@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#50333; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 14 Sep 2021 15:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.